
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>oracle数据泵导入分区表统计信息报错（二） 深入研究问题的现象 / iVAN</title>

    <meta name="description" content="oracle数据泵导入分区表统计信息报错（二） 深入研究问题的现象 今天在进行数据泵导入操作时,发现一个bug. 上一篇记录了问题的现象,这一篇继续深入研究. 上一篇文章已经描述了问题的产生,而且提到了这个问题很难重现.无论如何去模拟实际的情况,都无法重现问题. 为了重现这个问题,在RAC数据库环境中,仿照问题表创建了分区表.并仿照问题数据库收集了统计信息的方式进行了统计信息的收集,都无法重现问题. 但是,利用问题数据库导出的统计信息,就可以重现问题.上周五发现的问题,但是由于数据不方便带回家,因此由于时间的限制仅仅测试了这么多. 今天一早到了公司,就继续这个问">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">oracle数据泵导入分区表统计信息报错（二） 深入研究问题的现象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>今天在进行数据泵导入操作时，发现一个bug。</p>
<p>上一篇记录了问题的现象，这一篇继续深入研究。</p>
<p>上一篇文章已经描述了问题的产生，而且提到了这个问题很难重现。无论如何去模拟实际的情况，都无法重现问题。</p>
<p>为了重现这个问题，在RAC数据库环境中，仿照问题表创建了分区表、并仿照问题数据库收集了统计信息的方式进行了统计信息的收集，都无法重现问题。</p>
<p>但是，利用问题数据库导出的统计信息，就可以重现问题。上周五发现的问题，但是由于数据不方便带回家，因此由于时间的限制仅仅测试了这么多。</p>
<p>今天一早到了公司，就继续这个问题的测试。周末的时候仔细思考了一下，既然在测试的数据库上无法重现问题，但是利用源数据库的数据可以重现问题，那么问题是否和数据本身有关，也就是说，是数据本身的问题导致了bug。</p>
<p>于是今天测试的时候尝试使用问题数据，在多个不同平台的Oracle10203的rac和单实例数据库上尝试执行数据泵导入，错误屡试不爽。这样看来，问题是源数据库本身造成的，也与源数据库目前的数据、统计信息有关。</p>
<p>这样将问题的目标从测试数据库转到的执行导出的源数据库中。</p>
<p>首先对比源数据库和导入数据库中表分析情况，可以发现只有分区表的统计信息没有导入，这就进一步确定了问题是发生在分区表中。</p>
<p>下面查询一下源数据库中表的分析情况：</p>
<p>SQL&gt; SELECT TABLE_NAME, PARTITIONED, TEMPORARY, LAST_ANALYZED</p>
<p>2 FROM USER_TABLES</p>
<p>3 ORDER BY 4 DESC;</p>
<p>TABLE_NAME PAR T LAST_ANALYZED</p>
<p>------------------------------ --- - -------------------</p>
<p>ORD_HIT_COMM_TMP NO Y</p>
<p>CON_LIST_ITEM_SHARE_TMP NO Y</p>
<p>JOB_MONTH_STATS NO Y</p>
<p>ZZZ_PURCHASE_BUYER NO N 2008-03-02 02:14:45</p>
<p>ZZZ_YANGS_PRO NO N 2008-03-02 02:14:45</p>
<p>ZZZ_YANGS_ORDER3 NO N 2008-03-02 02:14:45</p>
<p>ZZZ_YANGS_ORDER2 NO N 2008-03-02 02:14:45</p>
<p>.</p>
<p>.</p>
<p>.</p>
<p>ASS_BBS_CATALOG NO N 2008-03-02 01:00:10</p>
<p>ASS_BBS_ARTICLE NO N 2008-03-02 01:00:09A NO N 2008-03-02 01:00:08</p>
<p>ORD_LOG_HIT_COMM YES N 2007-05-03 15:33:45</p>
<p>CON_LOG_LIST_ITEM YES N 2007-05-03 15:33:19</p>
<p>ORD_PURCHASE_ITEM YES N 2007-05-03 15:33:17</p>
<p>ORD_ORDER_ITEM YES N 2007-05-03 15:30:25</p>
<p>ORD_ORDER YES N 2007-05-03 15:23:42</p>
<p>已选择450行。</p>
<p>本文URL地址：http://www.bianceng.cn/database/Oracle/201410/45380.htm</p>
<p>从这里就可以看到分区表的数据分析存在问题，其他表的分析都是近期的，只有分区表的分析已经很长时间没有更新了。</p>
<p>检查分区表的分析方法：</p>
<p>SQL&gt; SELECT WHAT, LAST_DATE FROM USER_JOBS WHERE JOB = 291;</p>
<p>WHAT LAST_DATE</p>
<p>-------------------------------------------------------- -------------------</p>
<p>dbms_stats.gather_schema_stats(user, cascade =&gt; true); 2008-03-02 01:00:02</p>
<p>采用这种方式进行分析，默认应该分析分区表才对，接着检查分区表的各个分区是否分析过：</p>
<p>SQL&gt; SELECT TABLE_NAME, PARTITION_NAME, LAST_ANALYZED</p>
<p>2 FROM USER_TAB_PARTITIONS</p>
<p>3 ORDER BY 1, 2;</p>
<p>TABLE_NAME PARTITION_NAME LAST_ANALYZED</p>
<p>------------------------------ ------------------------------ --------------</p>
<p>CON_LOG_LIST_ITEM CON0610</p>
<p>CON_LOG_LIST_ITEM CON0611</p>
<p>CON_LOG_LIST_ITEM CON0612</p>
<p>CON_LOG_LIST_ITEM CON0701</p>
<p>CON_LOG_LIST_ITEM CON_MAX</p>
<p>ORD_LOG_HIT_COMM HLG0610</p>
<p>ORD_LOG_HIT_COMM HLG0611</p>
<p>.</p>
<p>.</p>
<p>.</p>
<p>ORD_PURCHASE_ITEM ORD0804</p>
<p>ORD_PURCHASE_ITEM ORD0807</p>
<p>ORD_PURCHASE_ITEM ORD0810</p>
<p>ORD_PURCHASE_ITEM ORD0901</p>
<p>已选择97行。</p>
<p>所有的分区都没有分析过。检查数据库中其他SCHEMA下的分区表是否也存在相同的问题：</p>
<p>SQL&gt; SELECT A.OWNER, A.TABLE_NAME, LAST_ANALYZED</p>
<p>2 FROM ALL_TABLES A, ALL_PART_TABLES B</p>
<p>3 WHERE A.TABLE_NAME = B.TABLE_NAME</p>
<p>4 AND A.OWNER = B.OWNER</p>
<p>5 AND A.OWNER IN ('ZHEJIANG', 'ANHUI', 'BEIJING')</p>
<p>6 ORDER BY 3;</p>
<p>OWNER TABLE_NAME LAST_ANALYZED</p>
<p>---------- ------------------------------ -------------------</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-31 09:03:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e6%9e%90/" title="分析">分析</a>, <a href="https://www.iamivan.net/tag/%e7%bb%9f%e8%ae%a1/" title="统计">统计</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%8c%ba%e8%a1%a8/" title="分区表">分区表</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e9%97%ae%e9%a2%98/" title="数据存储问题">数据存储问题</a>, <a href="https://www.iamivan.net/tag/%e5%92%8c-able%e5%af%bc%e5%85%a5%e5%88%b0-ord%e4%b8%ad/" title="和 able导入到 ord中">和 able导入到 ord中</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>oracle数据泵导入分区表统计信息报错（二） 深入研究问题的现象的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB204ob.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（一） 问题的现象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在进行数据泵导入操作时,发现一个bug. 数据库版本Oracle 10203 for Solaris RAC,执行导入在处理表的统计信息时报错,错误信息为:ORA-39083和ORA-917. 经过仔细排查,对比源数据库分析情况和目标数据库的表分析情况,发现所有的分区表的统计信息都没有导入. 基本确认问题是IMPDP在处理分区表的统计信息时出现了问题. 可惜现在问题无法通过构造案例来重现:在目标数据库中(RAC环境)尝试建立分区表并执行数据泵的导出和导入,无法重现问题.将源数据库中出现问题的			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwlDjnb.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前不久检查了一篇以往的BLOG,意外的发现这个bug居然被我忘记了,时隔一年继续解决这个问题. 根据上一篇文章所介绍的分析过程,基本上可以确认和这几张分区表的统计信息本身有关. 由于当前数据库是从920环境EXP导出,IMP导入到同版本的中间数据库,最终通过数据泵IMPDP导入到当前数据库的.而分区表由于无法解决表空间的转换问题,因此在中间数据库手工创建,在IMP导入的时候指定了IGNORE=Y参数. 而现在恰好问题出在这个用户的所有分区表上,难道问题和迁移的过程有关系.检查了当时的脚本,没有发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW15qGz.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（五）导致问题的原因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在已经找到了问题的原因,并且也找到了解决问题的方法,但是导致问题的原因还不清楚. 也就是说,要找到为什么这几个分区表的统计信息被锁住. Oracle的DBMS_STATS包提供了LOCK_TABLE_STATS过程,但是当前的问题显然不是手工调用这个过程造成的. 所有了一下metalink,发现Oracle在文档Doc ID: 433240.1中描述了统计信息被锁定的可能性: 手工执行DBMS_STATS包的LOCK_TABLE_STATS过程: 使用imp或impdp,导入表的时候不加载数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEdLJb.html" rel="bookmark">oracle数据泵导入分区表统计信息报错（四）问题的解决过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看来通过检查数据字典信息是找不到什么问题的原因了,只有通过手工执行收集统计信息的过程来尝试发现问题. 为了避免bug意外被解决所导致的问题无法重现,同时也为了可以在解决bug的过程中使用一些特别的手段而不影响用户的使用,这里通过备份建立了一个测试环境,下面的操作是在测试环境中执行. 首先修改统计信息对应的JOB的NEXT_DATE,使其在后台执行,检查收集统计信息后,测试数据库上是否能重现问题: SQL&gt; SELECT JOB, WHAT FROM USER_JOBS; JOB WHAT ---			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxP64BM.html" rel="bookmark">oracle数据泵不同工作方式性能比较（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据Oracle的文档的描述,数据泵采用不同的方式导出导入,性能也会有明显的差别,这次正好有机会测试一下,迁移表空间.直接路径.外部表方式,以及数据库链方式导出.导入的性能差异. 首先检查源数据库的表空间是否满足自包含条件: SQL&gt; EXEC DBMS_TTS.TRANSPORT_SET_CHECK('TJSQ,TJSQ_TMP') PL/SQL procedure successfully completed. SQL&gt; SELECT * FROM TRANSPORT_SET_VIOLAT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDJrBz.html" rel="bookmark">oracle 数据泵导入导出介绍&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.首先建立目录: create directory 目录名称 as '数据库服务器上的一个目录',如: create directory 别名 as 'd:\服务器目录名'; 将导入或导出的文件放在这个目录下 2.导出及导入 以SID=orcl,导出dmp的账号为test,导入dmp的账号为test为例. 若将数据从sfz中导出: expdp test/test@orcl directory=别名 dumpfile=导出文件名 导入到test中: impdp test/test@orcl di			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKgvAM.html" rel="bookmark">Oracle数据泵导出导入与传统导出导入的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 估计有不少的朋友不清楚Oracle数据泵导出导入与传统导出导入的区别吧,下面小编为各位介绍一下,有兴趣的朋友不防进入一起参考．   先来看一下Oracle数据泵导出导入例子 1.首先建立目录: create directory 目录名称 as '数据库服务器上的一个目录',如:  create directory 别名 as 'd:＼服务器目录名';  将导入或导出的文件放在这个目录下 2.导出及导入 以SID=orcl,导出dmp的账号为test,导入dmp的账号为test为例. 若将数据从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxwL0b.html" rel="bookmark">oracle 10g数据泵和导入导出性能对比（五）影响数据泵导入性能的最大因素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前一段时间在一次迁移中同时用到了数据泵和EXP,发现二者效率的差别还是相当大的.这里通过一个例子简单比较一下. 这篇文章讨论影响数据泵导入性能的最大因素. 前面写了几篇文章,分别介绍EXP/IMP与EXPDP/IMPDP的性能对比,根据前面几篇文章的描述,如果不使用并行,似乎IMPDP的效率要比IMP没有一个数量级的提示.对于当前的环境而言,事实确实如此.不过前面一直没有描述一个重要的因素,当然的数据库环境由于配置了STANDBY数据库,因此不但处于归档模式,还设置了FORCE LOGGING:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKDy1p.html" rel="bookmark">Oracle 11g r2数据泵新特性简介（四）数据泵导入新增的DATA&lowbar;OPTIONS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Oracle的11gr2版本中,并没有对数据泵做出多大的改动,主要是增加了对原始版本参数的支持,并且去掉了一些小的限制. 这一篇介绍数据泵导入新增的DATA_OPTIONS参数. 在11.2之前,数据泵的导入只提供了一个DATA_OPTIONS--SKIP_CONSTRAINT_ERRORS,而在11.2中,DATA_OPTIONS又增加了一个可用的值:DIABLE_APPEND_HINT. 一般来说我们希望数据泵使用直接路径的方式导入,因为导入的效率会很高.但是有的时候,我们并不需要采用直接路			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQBarM.html" rel="bookmark" class="title">HEVC之缩写词含义大全</a>
					<div>
						B:Bi-predictive(双向预测,即B帧或B条带,B条带中的CU可以采用帧内或帧间预测编码,每个预测块采用双向预测方式进行预测,B条带编码时同时使用参考图像列表0和参考图像列表1) BLA:B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEvJNb.html" rel="bookmark" class="title">链接title自定义效果代码</a>
					<div>
						&lt;html&gt;&lt;head&gt;&lt;title&gt;链接效果一-admin5欢迎您&lt;/title&gt;&lt;STYLE type=&quot;text/css&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Y8qb.html" rel="bookmark" class="title">Ubuntu 12&period;04&period;4 LTS下linphone-android编译记录</a>
					<div>
						操作系统:Ubuntu 12.04.4 LTS 32位 linphone-android版本:android:versionCode=&quot;2211&quot; 准备工作: 1.首先安装git用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlEYdb.html" rel="bookmark" class="title">PHP下打开phpMyAdmin出现403错误</a>
					<div>
						 安装完wamp后打开其下的phpMyAdmin也就是路径http://localhost/phpmyadmin/ 出现 看里面的代码一下明白了 解决方法直接贴图如下:   代码如下: &lt;Dir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm78ylb.html" rel="bookmark" class="title">PowerPoint2013演示文稿不能全屏播放怎么办</a>
					<div>
						  由于每台电脑的分辨率都不尽相同,尤其是现在的宽屏显示器使用越来越广泛,当我们用不同的显示器放映幻灯片的时候,可能就会出现不能全屏显示PPT的问题,有些时候会有上下两条黑色块,有些时候可能又会出现左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPA9Gz.html" rel="bookmark" class="title">python使用xlrd模块读写Excel文件的方法</a>
					<div>
						  这篇文章主要介绍了python使用xlrd模块读写Excel文件的方法,较为详细的分析了xlrd模块的安装.使用与操作Excel文件的相关技巧,需要的朋友可以参考下 一.安装xlrd模块 到pyt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm09Wz.html" rel="bookmark" class="title">微信公众号已经开通文章评论功能</a>
					<div>
						摘要: 根据微信公众平台官方给 36氪 的通知,微信公众号已经开通文章评论功能,开通微信认证的公众号可以申请,然后在微信后台添加该功能模块后即可显示用户评论. 值得注意的是,公 根据微信公众平台官方给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZWKob.html" rel="bookmark" class="title">PHP 事件机制&lpar;2&rpar;&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?php class Event extends stdClass{ public $target=null; public $type=null; /** * 创建事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxW5Ob.html" rel="bookmark" class="title">The Dijkstra Algorithm</a>
					<div>
						最短路径的Dijkstra算法 The Dijkstra Algorithm eryar@163.com 摘要:本文用C实现了图的最短路径Dijkstra算法,并将自己理解该算法的方式与大家分享下,若 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA7VKM.html" rel="bookmark" class="title">VARA2015隆重召开 蔡晶晶当选CISP十大杰出人物</a>
					<div>
						10月23日,由中国信息安全测评中心主办.北京交通大学承办.中国信息安全协会.清华大学及&lt;中国信息安全&gt;杂志社协办的第八届信息安全漏洞风险评估大会(VARA2015)在京召开.会上,由CI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW6Zvp.html" rel="bookmark" class="title">麻烦不断的百度是否在走下坡路</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 作为中国互联网的骄傲,百度曾经是笔者非常佩服的一家公司,因为他们能击败强大的国外巨头,把中文搜索引擎做到如此家喻户晓的地步.但这只是百度曾经的荣耀,仅此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRAegz.html" rel="bookmark" class="title">数字化转型中的大数据治理架构</a>
					<div>
						大家好,我今天分享的主题是大数据治理.我们如何使用好大数据资产,才能够更好地发挥其中的价值? 主要大纲: 一.数字化时代大数据向服务化发展 二.数字化时代的大数据治理架构 三.大数据治理的12个技术原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWyW5z.html" rel="bookmark" class="title">javasejava&period;&period;&period;-javase中反射机制原理</a>
					<div>
						问题描述 javase中反射机制原理 基础班结课了,最后讲的反射机制,感觉晕了.请问大神们它的原理和作用是什么?谢谢啦. 解决方案 原理,Java和C++不同,在编译的时候把对象的字段.方法.方法的参 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm3Wab.html" rel="bookmark" class="title">linux中通过iptables规则让Linux主机屏蔽Ping</a>
					<div>
						通过iptables防火强 我们以CentOS为例,向iptables中添加如下三条规则: -A RH-Firewall-1-INPUT -s 192.168.0.100 -p icmp -m icm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBD48M.html" rel="bookmark" class="title">dojo未定义</a>
					<div>
						问题描述 我想用struts2 + dwr 做个验证jsp页面大概是这样的&lt;html&gt; &lt;head&gt; &lt;s:head theme=&quot;ajax&quot;/&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rj0Jz.html" rel="bookmark" class="title">js实现缓冲运动效果的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现缓冲运动效果的方法.分享给大家供大家参考.具体分析如下: 该实例可实现一开始速度很快,然后慢下来,直到停止的效果. 要点: var speed = (target-box.off ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK51Db.html" rel="bookmark" class="title">窝窝团回应&OpenCurlyDoubleQuote;拖欠广告费&rdquo;：亿玛不正当获取流量</a>
					<div>
						1月13日消息,针对日前网络http://www.aliyun.com/zixun/aggregation/39658.html&quot;&gt;营销服务商亿玛在线指责窝窝团拖欠广告费一事,窝窝团今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKa8Az.html" rel="bookmark" class="title">matlab-基于MATLAB的空间滤波与频域滤波</a>
					<div>
						问题描述 基于MATLAB的空间滤波与频域滤波 数字图像处理在去除噪声时空间滤波和频域滤波主要区别是什么?空间滤波都有那些方法,它们分别对那些噪声有较好的作用?频域滤波有哪些方法,它们分别对那些噪声有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z17Rz.html" rel="bookmark" class="title">WordPress的优化及运行</a>
					<div>
						摘要: 如果你准备做一个网站,你的版面,栏目都考虑好了,那么你应该考虑到网站的性能问题,这不仅是给用户良好的体验感,在seo的范围内,更是必不可少的一部分.当然市面上性能不错 如果你准备做一个网站,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7293z.html" rel="bookmark" class="title">Aspose&period;Pdf for &period;NET 6&period;1&period;0发布 PDF文件的&period;NET组件</a>
					<div>
						Aspose.Pdf是一个无需http://www.aliyun.com/zixun/aggregation/9084.html&quot;&gt;Adobe Acrobat就可以编辑PDF文件的.N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn33mM.html" rel="bookmark" class="title">整合多个web开发工具于一身的开源系统，请大家推荐一个</a>
					<div>
						问题描述 目前开发了多个web方式的工具,以Java语言为主,考虑使用portal整合,但看到评论liferay和jetspeed二次开发不是很简单,不知道大家有什么推荐,能统一界面.统一风格就行,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnAY1M.html" rel="bookmark" class="title">Lucene&period;Net 2&period;3&period;1开发介绍&mdash;&mdash;附录一、如何下载Lucene&period;Net的各种版本</a>
					<div>
						原文:Lucene.Net 2.3.1开发介绍--附录一.如何下载Lucene.Net的各种版本 首先,你需要一个svn客户端.TortoiseSVN非常好用,可以从官方网站下载.下载地址:http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgVgvM.html" rel="bookmark" class="title">《Java EE核心框架实战》&mdash;&mdash; 2&period;5 将SQL语句作为字符串变量传入</a>
					<div>
						2.5 将SQL语句作为字符串变量传入 Java EE核心框架实战 在MyBatis中也支持将SQL语句当成变量传入. 新建名为sqlStringVar的Java项目,映射文件userinfoMapp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXeD5b.html" rel="bookmark" class="title">vb&period;net编译时出现assembly多版本问题，请教改正方法</a>
					<div>
						问题描述 我用vs.net2013编译VB程序,一直好好的,突然出现如下提示:EncounteredmultipleversionsoftheassemblywithGUID'2df8d04c-5bf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7eQez.html" rel="bookmark" class="title">click事件的参数可以变化吗？</a>
					<div>
						问题描述 现有这样的jquery click事件:$(document).ready(function() { $curtainopen = false; $(&quot;.rightcurtain& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4exYYb.html" rel="bookmark" class="title">关于tomcat 7 热部署的问题&period;</a>
					<div>
						问题描述 各位三老四少,各位老大, 请教一个问题, tomcat 到底怎么做到热部署, reloadable=true 这种就不用说了, 我一直在想,现在很多产品都用的apahce tomcat 来作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnZrWM.html" rel="bookmark" class="title">基于Oracle OCI的数据访问C语言接口ORADBI &period;</a>
					<div>
						  基于Oracle OCI的数据访问C语言接口ORADBI cheungmine@gmail.com Mar. 22, 2008   ORADBI是我在Oracle OCI(Oracle 调用接口) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ6NLM.html" rel="bookmark" class="title">asp&period;net比较大型的企业网站的项目、目录结构问题</a>
					<div>
						大型企业网站不同于一般的网站(几个页面就行了),大型网站有大量的页面,权限控制等也很复杂,为了提高开发效率,代码能有效重用,还是得注意一下项目的结构问题,不然乱开发效率是很低的,还不利于维护. 网站文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWxyvM.html" rel="bookmark" class="title">互联网第二春站长的赚钱机会来临了</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 21世纪的今天,互联网已经进入了第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWv8AM.html" rel="bookmark" class="title">【hibernate框架】多对一单向关联&lpar;XML实现&rpar;</a>
					<div>
						一个组有多个用户,一个用户只能属于一个组. 使用XML来实现多对一单项关联 Group.java: package cn.edu.hpu.many2one; import javax.persiste ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
